package com.engine.organization.wrapper;

import com.engine.common.util.ServiceUtil;
import com.engine.core.impl.Service;
import com.engine.organization.service.SchemeService;
import com.engine.organization.service.impl.SchemeServiceImpl;
import weaver.hrm.User;

import java.util.Map;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/4/26
 * @Version V1.0
 **/
public class SchemeWrapper extends Service {

    private SchemeService getSchemeService(User user) {
        return ServiceUtil.getService(SchemeServiceImpl.class,user);
    }

    public Map<String, Object> listPage(Map<String, Object> params) {
        return getSchemeService(user).listPage(params);
    }
    public Map<String, Object> save(Map<String, Object> params) {
        return getSchemeService(user).save(params);
    }
}
